﻿/*
 *  This file is part of "Ménapien !",
 *  a web-based self-learning applications framework.
 *
 *  Copyright (C) 2007-2008 Olivier Jacquemin.
 *
 *  "Ménapien !" is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  "Ménapien !" is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program: see the file COPYING.txt.  If not, see
 *  http://www.gnu.org/licenses/.
 */

/*extern Question */

function Multiplication(first, second) {
    this.first = first;
    this.second = second;
}

Multiplication.prototype = new Question();
Multiplication.prototype.constructor = Multiplication;


function Multiplication_getResult() {
    return this.first * this.second;
}

Multiplication.prototype.getResult = Multiplication_getResult;

function Multiplication_getStatement() {
    return this.first + " . " + this.second + " = ";
}

Multiplication.prototype.getStatement = Multiplication_getStatement;

function Multiplication_isCorrect() {
    if (this.answeredValue === null ||
        this.answeredValue === undefined ||
        this.answeredValue === "") {
        return false;
    }

    var numericAnswer = this.answeredValue - 0;
    return (numericAnswer === this.getResult());
}

Multiplication.prototype.isCorrect = Multiplication_isCorrect;

function Multiplication_equals(mult) {
    return ((this.first === mult.first) && (this.second === mult.second));
}

Multiplication.prototype.equals = Multiplication_equals;
